const mongoose = require('mongoose');
const Stripe = require('stripe');
require('dotenv').config();
const Merchant = mongoose.model('Merchant');
const stripe = Stripe(process.env.STRIPE_SECRET_KEY);
const { STRIPE_PRICE_ID } = process.env;

const getSubscription = async (req, res) => {
    const token = req.get("X-JWT-Token");
    const decodedToken = decodeToken(token);
    if (!decodedToken) return res.sendStatus(503);

    const merchant = await Merchant.findById(decodedToken.data.merchantId);
    const customerId = merchant?.stripe?.customer?.id;
    if (!customerId) return res.sendStatus(503);
    
    try {
        const subscription = await stripe.subscriptions.create({
            customer: customerId,
            items: [{
                price: STRIPE_PRICE_ID,
            }],
            payment_behavior: 'default_incomplete',
            expand: ['latest_invoice.payment_intent'],
        });

        merchant.customer.subscriptionId = subscription.id;
        merchant.customer.clientSecret = subscription.latest_invoice.payment_intent.client_secret;
        await merchant.save();
    } catch (e) {
        console.log("FAiled to create subscription");
    }

    return res.sendStatus(200);
}

const create = async (req, res) => {

}

module.exports = { getSubscription, create };