const mongoose = require('mongoose');
const { ORDER_PROCESSED_STATUS } = require('../helpers/status.helper');

const { decodeToken } = require('../helpers/jwt.helper');

const Order = mongoose.model('Order');
const Campaign = mongoose.model('Campaign');

const list = async (req, res) => res.status(200).json({
    orders: await Order
        .find({ merchant: decodeToken(req.get("X-JWT-Token")).data.merchantId })
        .sort({ createdAt: -1 })
});

const view = async (req, res) => {
    const order = await Order.findById(req.params.id);
    const campaign = await Campaign.findById(order.campaign, 'title');
    console.log({ order: { ...order._doc, campaign: campaign.title } })
    return res
        .status(200)
        .json({ order: { ...order._doc, campaign: campaign.title } });
};

const process = async (req, res) => {
    await Order.findByIdAndUpdate(
        req.params.id,
        { status: ORDER_PROCESSED_STATUS }
    );

    return res.sendStatus(200);
};

module.exports = { list, view, process };