const mongoose = require('mongoose');

const CampaignSchema = mongoose.Schema({
    title: String,
    status: String,
    date: Date,
    recepients: [{
        subscriberId: String,
        delivered: Boolean
    }],
    media: String,
    message: String,
    price: Number,
    performance: {
        sold: { type: Number, default: 0 },
        revenue: { type: Number, default: 0 }
    },
    merchant: String
}, { timestamps: true });

module.exports = mongoose.model('Campaign', CampaignSchema);
