const mongoose = require('mongoose');
require('dotenv').config();

const { LONGCODE_ASSIGNED_STATUS } = require('../helpers/status.helper');

const Longcode = mongoose.Schema({
    sid: String,
    status: { type: String, default: LONGCODE_ASSIGNED_STATUS },
    phoneNumber: String,
    country: String,
    lata: String,
    locality: String,
    latitude: String,
    longitude: String,
    postalCode: String,
    rateCenter: String,
    region: String,
    expiresAt: Date,
    capabilities: {
        voice: Boolean,
        SMS: Boolean,
        MMS: Boolean,
        fax: Boolean
    },
}, { timestamps: true });

module.exports = mongoose.model('Longcode', Longcode);
