const mongoose = require('mongoose');

const OrderSchema = mongoose.Schema({
    number: Number,
    date: Date,
    total: Number,
    quantity: Number,
    status: String,
    subscriber: String,
    subscriberInfo: {
        firstName: String,
        lastName: String,
    },
    merchant: String,
    campaign: String,
    stripe: {
        paymentIntent: {
            id: String
        }
    }
}, { timestamps: true });

module.exports = mongoose.model('Order', OrderSchema);
