const mongoose = require('mongoose');

const SubscriberSchema = mongoose.Schema({
    nationalFormat: String,
    phoneNumber: String,
    status: String,
    firstName: String,
    lastName: String,
    businessName: String,
    addressOne: String,
    addressTwo: String,
    zipCode: String,
    city: String,
    state: String,
    stripe: {
        customer: {
            id: String,
            paymentMethod: String
        }
    },
    amount: { type: Number, default: 0 },
    orders: { type: Number, default: 0 },
    messages: { type: Number, default: 0 },
    merchant: String,
    isDeleted:{type:Number,default:0},
    type:{type:String}

}, { timestamps: true });

module.exports = mongoose.model('Subscriber', SubscriberSchema);
