import { Schema } from '../schema';
import { CustomerGroup } from './customerGroup';
import { Error } from './error';
/**
 * Defines the fields that are included in the response body of
 * a request to the [ListCustomerGroups](#endpoint-listcustomergroups) endpoint.
 * One of `errors` or `groups` is present in a given response (never both).
 */
export interface ListCustomerGroupsResponse {
    /** Any errors that occurred during the request. */
    errors?: Error[];
    /** A list of customer groups belonging to the current merchant. */
    groups?: CustomerGroup[];
    /**
     * A pagination cursor to retrieve the next set of results for your
     * original query to the endpoint. This value is present only if the request
     * succeeded and additional results are available.
     * See the [Pagination guide](https://developer.squareup.com/docs/working-with-apis/pagination) for more information.
     */
    cursor?: string;
}
export declare const listCustomerGroupsResponseSchema: Schema<ListCustomerGroupsResponse>;
