import { Schema } from '../schema';
import { Card } from './card';
/** Represents additional details of a tender with `type` `CARD` or `SQUARE_GIFT_CARD` */
export interface TenderCardDetails {
    /** Indicates the card transaction's current status. */
    status?: string;
    /**
     * Represents the payment details of a card to be used for payments. These
     * details are determined by the `card_nonce` generated by `SqPaymentForm`.
     */
    card?: Card;
    /** Indicates the method used to enter the card's details. */
    entryMethod?: string;
}
export declare const tenderCardDetailsSchema: Schema<TenderCardDetails>;
