const express = require('express');

const router = express.Router();

const {
    verify,
    dashboard,
    create,
    login,
    loadLandingPageContent,
    embedSnippet,
    forgotPassword,
    sendforgetLink
} = require('../controllers/merchant.controller');

const { verifyToken } = require('../middleware/jwt');

router.get('/verify/', verifyToken, verify);
router.get('/dashboard/', verifyToken, dashboard);
router.get('/embed/', verifyToken, embedSnippet);

router.post('/create/', create);
router.post('/login/', login);
router.post('/forgot/', forgotPassword);
router.post('/sendforgetLink/',sendforgetLink)

router.get('/landing/:subdomain', loadLandingPageContent)

module.exports = router;