const express = require('express');

const router = express.Router();

const {
    processScheduledCampaigns,
    handleIncomingMessage,
    handleMessageStatusChange
} = require('../controllers/message.controller');

const { verifyTokenMessage } = require('../middleware/jwt');

router.get('/process/', processScheduledCampaigns);

router.post('/incoming/:from/', handleIncomingMessage);
router.post('/incoming/fallback/:from/', handleIncomingMessage);
router.post('/status/:from/', handleMessageStatusChange);

module.exports = router;