const express = require('express');

const router = express.Router();

const {
    getAccountLink,
    reauth,
    callback,
    setupIntents
} = require('../controllers/stripe.controller');

const { verifyToken } = require('../middleware/jwt');

router.get('/link/', verifyToken, getAccountLink);

router.get('/reauth/', verifyToken, reauth);
router.get('/callback/', verifyToken, callback);
router.post('/setupIntents',setupIntents);
module.exports = router;