const express = require('express');

const router = express.Router();

const {
    view,
    list,
    setPaymentMethod,
    create,
    configsubscriber,
    subscribe129,
    deleteSubscriber,
    createSubscriberByCsv,
    onlyMarketingSubscriber
} = require('../controllers/subscriber.controller');

const { verifyToken } = require('../middleware/jwt');


router.get('/list/', verifyToken, list);
router.put('/delete/:subscriberId', verifyToken, deleteSubscriber);
router.get('/view/:subscriberId',  view);

router.put('/payment/:subscriberId', setPaymentMethod);
router.post('/create/', create);
router.post('/marketing/', onlyMarketingSubscriber);
router.post('/createByCsv/', createSubscriberByCsv);
router.get('/config/',configsubscriber);
router.post('/subscribe129/',  subscribe129);


module.exports = router;